Bug 1570173 - [abrt] pulseaudio: snd_mixer_elem_get_callback_private(): pulseaudio killed by SIGABRT
Summary: [abrt] pulseaudio: snd_mixer_elem_get_callback_private(): pulseaudio killed b...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: pulseaudio
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lennart Poettering
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:afa28c362f4f05a65695af62389...
: 1572237 1574882 1579063 1582391 1584512 1588355 1589430 1592154 1595122 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-20 19:56 UTC by Ankur Sinha (FranciscoD)
Modified: 2019-05-28 22:04 UTC (History)
20 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 22:04:12 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (18.75 KB, text/plain)
2018-04-20 19:56 UTC, Ankur Sinha (FranciscoD)
no flags Details
File: cgroup (377 bytes, text/plain)
2018-04-20 19:56 UTC, Ankur Sinha (FranciscoD)
no flags Details
File: core_backtrace (6.32 KB, text/plain)
2018-04-20 19:56 UTC, Ankur Sinha (FranciscoD)
no flags Details
File: cpuinfo (1.08 KB, text/plain)
2018-04-20 19:56 UTC, Ankur Sinha (FranciscoD)
no flags Details
File: dso_list (7.48 KB, text/plain)
2018-04-20 19:56 UTC, Ankur Sinha (FranciscoD)
no flags Details
File: environ (2.66 KB, text/plain)
2018-04-20 19:56 UTC, Ankur Sinha (FranciscoD)
no flags Details
File: limits (1.29 KB, text/plain)
2018-04-20 19:56 UTC, Ankur Sinha (FranciscoD)
no flags Details
File: maps (32.68 KB, text/plain)
2018-04-20 19:56 UTC, Ankur Sinha (FranciscoD)
no flags Details
File: mountinfo (3.64 KB, text/plain)
2018-04-20 19:56 UTC, Ankur Sinha (FranciscoD)
no flags Details
File: open_fds (1.71 KB, text/plain)
2018-04-20 19:56 UTC, Ankur Sinha (FranciscoD)
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2018-04-20 19:56 UTC, Ankur Sinha (FranciscoD)
no flags Details
File: var_log_messages (1.25 KB, text/plain)
2018-04-20 19:56 UTC, Ankur Sinha (FranciscoD)
no flags Details

Description Ankur Sinha (FranciscoD) 2018-04-20 19:56:09 UTC
Description of problem:
Resumed from suspend and got this notification

Version-Release number of selected component:
pulseaudio-11.1-18.fc28

Additional info:
reporter:       libreport-2.9.4
backtrace_rating: 4
cmdline:        /usr/bin/pulseaudio --daemonize=no
crash_function: snd_mixer_elem_get_callback_private
executable:     /usr/bin/pulseaudio
journald_cursor: s=d80c6f1aa13741469167730bf6c34db1;i=34b489;b=c49353d060724fd5896d7681175fb6b8;m=3791f2f87;t=56a4cf230a532;x=a46b14a6acaca425
kernel:         4.16.2-300.fc28.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Potential duplicate: bug 1502185

Comment 1 Ankur Sinha (FranciscoD) 2018-04-20 19:56:14 UTC
Created attachment 1424677 [details]
File: backtrace

Comment 2 Ankur Sinha (FranciscoD) 2018-04-20 19:56:15 UTC
Created attachment 1424678 [details]
File: cgroup

Comment 3 Ankur Sinha (FranciscoD) 2018-04-20 19:56:17 UTC
Created attachment 1424679 [details]
File: core_backtrace

Comment 4 Ankur Sinha (FranciscoD) 2018-04-20 19:56:18 UTC
Created attachment 1424680 [details]
File: cpuinfo

Comment 5 Ankur Sinha (FranciscoD) 2018-04-20 19:56:20 UTC
Created attachment 1424681 [details]
File: dso_list

Comment 6 Ankur Sinha (FranciscoD) 2018-04-20 19:56:21 UTC
Created attachment 1424682 [details]
File: environ

Comment 7 Ankur Sinha (FranciscoD) 2018-04-20 19:56:23 UTC
Created attachment 1424683 [details]
File: limits

Comment 8 Ankur Sinha (FranciscoD) 2018-04-20 19:56:25 UTC
Created attachment 1424684 [details]
File: maps

Comment 9 Ankur Sinha (FranciscoD) 2018-04-20 19:56:26 UTC
Created attachment 1424685 [details]
File: mountinfo

Comment 10 Ankur Sinha (FranciscoD) 2018-04-20 19:56:28 UTC
Created attachment 1424686 [details]
File: open_fds

Comment 11 Ankur Sinha (FranciscoD) 2018-04-20 19:56:29 UTC
Created attachment 1424687 [details]
File: proc_pid_status

Comment 12 Ankur Sinha (FranciscoD) 2018-04-20 19:56:30 UTC
Created attachment 1424688 [details]
File: var_log_messages

Comment 13 Robert Mader 2018-04-26 13:42:00 UTC
*** Bug 1572237 has been marked as a duplicate of this bug. ***

Comment 14 emanuel.hippster 2018-05-04 09:11:51 UTC
*** Bug 1574882 has been marked as a duplicate of this bug. ***

Comment 15 Matt Daveson 2018-05-13 12:37:24 UTC
*** Bug 1577606 has been marked as a duplicate of this bug. ***

Comment 16 nukelheadmp 2018-05-16 22:02:57 UTC
*** Bug 1579063 has been marked as a duplicate of this bug. ***

Comment 17 Mario 2018-05-25 05:15:13 UTC
*** Bug 1582391 has been marked as a duplicate of this bug. ***

Comment 18 contact+rhelbugzilla 2018-05-25 17:07:33 UTC
Similar problem has been detected:

Unknown. gnome-shell froze for ~2 minutes, dumped me back to the login screen, and after logging in again abrt says pulseaudio crashed.

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/bin/pulseaudio --daemonize=no
crash_function: snd_mixer_elem_get_callback_private
executable:     /usr/bin/pulseaudio
journald_cursor: s=6f86daff738749a9a5e88c42f8bd5ca7;i=2e129;b=e27d85a6989e4fdf98430d40f8b685af;m=280e40cdb6;t=56d0abfca6b55;x=c200839047e9cdb2
kernel:         4.16.9-300.fc28.x86_64
package:        pulseaudio-11.1-18.fc28.1
reason:         pulseaudio killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1001

Comment 19 Esaú García Sánchez-Torija 2018-05-31 06:50:54 UTC
*** Bug 1584512 has been marked as a duplicate of this bug. ***

Comment 20 Pavel Gajdusek 2018-06-07 06:40:59 UTC
*** Bug 1588355 has been marked as a duplicate of this bug. ***

Comment 21 Robin Gierse 2018-06-09 11:21:53 UTC
*** Bug 1589430 has been marked as a duplicate of this bug. ***

Comment 22 d3nr0u 2018-06-15 07:48:39 UTC
Similar problem has been detected:

I don't really know what causes the problem, but it seems to happen right before a notification pops up (in my case, I received a slack message, I saw the notification but the system crashed just before the "sound" the notification should do).

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/bin/pulseaudio --daemonize=no
crash_function: snd_mixer_elem_get_callback_private
executable:     /usr/bin/pulseaudio
journald_cursor: s=ad322db1642c4df3b705d85d16043c93;i=4d09c;b=84ba4077e05f48978347085019ab16cb;m=640e8a0d2;t=56e9b5dffb5fb;x=7e61b4afafa41da1
kernel:         4.16.14-300.fc28.x86_64
package:        pulseaudio-11.1-18.fc28.1
reason:         pulseaudio killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 23 Ramprasad G 2018-06-17 23:39:26 UTC
*** Bug 1592154 has been marked as a duplicate of this bug. ***

Comment 24 Matthew Wilson 2018-06-26 07:58:46 UTC
*** Bug 1595122 has been marked as a duplicate of this bug. ***

Comment 25 Ben Cotton 2019-05-02 21:11:29 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 26 Ben Cotton 2019-05-28 22:04:12 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.